<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\Dokumente\DokumenteUpload;

class DokumenteUploadFormularUseCase extends \Kufer\Web\KuferTools\Basis\Dokumente\DokumenteUpload\DokumenteUploadFormularUseCase
{
  public static function getToolId()
  {
    return 59;
  }

  public static function getToolSectionId()
  {
    return 694;
  }

  protected function isUploadAllowed(): bool
  {
    return $this->isRechtAllowed('693.0.1');
  }

  protected function isAdminUserUploadNotAllowed(): bool
  {
    return $this->getUser()->dnr <= 0;
  }
}